Package org.jcsp.lang

# Interface One2OneConnection

public interface One2OneConnection
Defines an interface for a connection that can be used by a single server and single client.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`AltingConnectionClient`
`client()`
Returns the client end of the connection.
`AltingConnectionServer`
`server()`
Returns the server end of the connection.

## Method Details

### client

AltingConnectionClient client()
Returns the client end of the connection.

### server

AltingConnectionServer server()
Returns the server end of the connection.